'use strict';
const path = require('path');

module.exports = {
    mode: process.env.NODE_ENV || 'production',
    entry: {
        cloudstudioify: './src/cloudstudioify.ts',
        options: './src/options/options.ts',
    },
    resolve: {
      extensions: ['.tsx', '.ts', '.js'],
    },
    
    output: {
        filename: 'bundles/[name].bundle.js',
        path: path.resolve(__dirname, 'dist')
    },
    module: {
        rules: [
            {
              test: /\.tsx?$/,
              use: 'ts-loader',
              exclude: /node_modules/,
            },
            {
                test: /\.css$/,
                use: ['style-loader', 'css-loader'],
            },
            {
                test: /\.js$/,
                exclude: /node_modules/,
            }
        ]
    }
};
